Subject: bug#26051: 25.1; overlays may make emacs very slow

From: [email-masked]
Date: Sun, 12 Mar 2017 10:44:21 +0900

Eli Zaretskii <[email-masked]> writes:
>> The form above take a few seconds.
>> I tried some characters instead of 'a'. Each of them take long time.
>>   "@%d\n"
>>   "?%d\n"
>>   "\u00E1%d\n" ;; LATIN SMALL LETTER A WITH ACUTE
>>   "\u3042%d\n" ;; HIRAGANA LETTER A
>>   "\u4E00%d\n" ;; CJK IDEOGRAPH-4E00
>>   "\uFF41%d\n" ;; FULLWIDTH LATIN SMALL LETTER A
>
> What I see here, with all of the above except the first two, is that
> what takes a long time is for the code to run; once I see "Done" in
> the echo area, redisplay takes less than a second.

Why is it take long time to use multibyte characters?
2 seconds and 2 minutes are very different.